## TTOS1000+TTOS1200 aikataulu

![](https://gitlab.labranet.jamk.fi/TTOS1000-TTOS1200/amk/-/raw/master/images/BirdWithFrogs.png?inline=false)

Kokoonnumme keskiviikkoisin keskustelmaan yhdessä ohjelmistoalaan liittyvistä ilmiöistä ja käsitteistä. 
Tapaamisiin liittyy yleensä vieraileva puheenvuoro, jossa kuullaan esityksiä käytännön työelämästä. Aiemmat puheenvuorot on saatavilla tallenteina ja niihin tutustuminen on suositeltavaa, koska niiden sisältöä käsitellään kurssin kokeessa. 
Jos päivän ohjelmassa on yleistä projektiohjausta ilmoitetaan siitä erikseen TEAMS-kanavassa.

* Tapaamiset oletuksena [ZOOM-tilassa](https://jamk.zoom.us/my/narsuman) Keskiviikkoisin alkaen 12:15-14:15
* Yleinen viestintä on TEAMS-kanavalla [TTOS1000+TTOS1200](https://teams.microsoft.com/l/team/19%3a64cbbd7f8be248fca009ee403f0859ce%40thread.skype/conversations?groupId=a1cf5c4c-4b44-4269-8965-3f087ca5dd08&tenantId=6e9eaaf0-3ff7-4de9-8cd4-1ffbd45951b9)
* Läsnäolo ohjauksissa pakollista jos sovitaan projektityöskentelyyn liittyvistä asioista.
* Osa esityksistä tallennetaan, mutta joissain esityksissä tätä mahdollisuutta ei ole valitettavasti.

## Kurssin aikataulu ja "Sprint" suunnitelma

[Aiemmat vierailija puheenvuorot]()

| Aika  | Aika | Tavoite | Vierailija | Linkki |
|:-:|:-:|:-:|:-:|:-:|
| Ke 8.9.2021   | 12:15-14:15  | Aloitusluento            | - | - |
| Ke 15.9.2021  | 12:15-14:15  | Ryhmätehtävän käynnistys | - | - |
| Ke 22.9.2021  | 12:15-14:15  | Harjoitustehtävä ja toimeksiannot | - | - |
|  -  | 12:20 | Toimeksiantojen esittely | Lahti Juha, JYU | - |
|  -  | 12:45 | Toimeksiantojen esittely | Taavitsainen Moona, Oma Idea | - |
|  -  | 13:00 | Toimeksiantojen esittely | Jukka Laukkanen, Scandit Oy  | - |
|  -  | 13:15 | Toimeksiantojen esittely | Kari Halttunen, Music Info | - |
|  -  | 13:30 | Toimeksiantojen esittely | Sami Vellonen, Terveystalo  | - |
| Ke 29.9.2021  | 12:15-13:15  | Toimeksiantojen esittely jatkuu | - | - |
|  -  | 12:15 | Toimeksiantojen esittely | Jaakko Leppänen, Dynniq Oy | - |
|  -  | 12:30 | Toimeksiantojen esittely | Mika Nieminen, Puolustusvoimat | - |
|  -  | 12:45 | Toimeksiantojen esittely | Rami Ojala, Soulcore Oy | - |
|  -  | 13:00 | Toimeksiantojen esittely | Ville Niemijärvi, Sunday Morning Oy | - |
|  -  | 13:15 | Toimeksiantojen esittely | Suvi Hokkanen, Nodeon Oy | - |
|  -  | 13:30 | Toimeksiantojen esittely | Johannes Harju, Neuwo.AI | - |
|  -  | 13:45 | Toimeksiantojen esittely | Ismo Harjunmaa, Agileo Oy  | - |
| Ke 6.10.2021  | 12:15-13:15  | Tiimien luonti           | - | - |
| Ke 13.10.2021 | 12:15-13:15  | Koealueen tarkastus + vierailija  | Tietoarkkitehti Risto Pohjonen , Netum Oy |
| Ke 20.10.202  | Syysloma | Syysloma                 | - | - |
| Ke 27.10.2021 | 12:15-13:15  | [Yleinen tilannekatsaus](projektin-käyntivaihe/yleinen-tilannekatsaus.md) | - |
| Ke 3.11.2021  | 12:15-13:15  | [Yleinen tilannekatsaus](projektin-käyntivaihe/yleinen-tilannekatsaus.md) | - | 
| Ke 10.11.2021 | 12:15-13:15  | [Yleinen tilannekatsaus](projektin-käyntivaihe/yleinen-tilannekatsaus.md) | - |
| Ke 17.11.2021 | 12:15-13:15  | [Projektin välikatsaus](projektin-käyntivaihe/projektin-valikatsaus.md) | - |
| Ke 24.11.2021 | 12:15-13:15  | [Yleinen tilannekatsaus](projektin-käyntivaihe/yleinen-tilannekatsaus.md) | - |
| Ke 1.12.2021  | 12:15-13:15  | [Leader-tapaaminen](projektin-käyntivaihe/leader-meeting.md) | - |
| Ke 15.12.2021 | 12:15-13:15  | [Yleinen tilannekatmsaus](projektin-käyntivaihe/yleinen-tilannekatsaus.md) | - |
| Ke 22.12.2021 | ----         | - |- |- |
| Ke 29.12.2021 | ----       - | - |- |- |
| Ke 5.1.2022   |            - | - |- |- |
| Ti 17.1.2022  | | [Yleinen tilannekatsaus](../projektin-käyntivaihe/yleinen-tilannekatsaus.md) | - |
| Ti 24.1.2022  | | [Yleinen tilannekatsaus](../projektin-käyntivaihe/yleinen-tilannekatsaus.md) | - |
| Ti 31.1.2022   | | [Yleinen tilannekatsaus](../projektin-käyntivaihe/yleinen-tilannekatsaus.md) | - |
| Ti 7.2.2022  | | [Leader-tapaaminen](../projektin-käyntivaihe/leader-meeting.md) | - |
| Ti 14.2.2022  | | [Yleinen tilannekatsaus](../projektin-käyntivaihe/yleinen-tilannekatsaus.md) | - |
| Ti 21.2.2022   | |  [Loppuseminaari](../projektin-loppuvaihe/loppuseminaari.md) | - |
| Ti 28.2.2022 | | | Loppuseminaari = | 

## Aiemmat vierailija puheenvuorot

**Käy läpi ennen kokeeseen osallistumista!**

Puheenvuorojen käsittelemiä aiheita käsitellään koealueessa, eli kannatta ehdottomasti tutustua. Koekysymyksissä voidaan pyytää esimerkkejä yritysten ja eri henkilöiden tekemistä huomioista!

* [Kalle Mäkelä Eficode Oy](https://www.linkedin.com/in/kallemakela/) - ["Mitä on DevOps käytännössä?" -Panopto](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=00452b3f-d66b-4c51-b020-ac3e00bd5317) 
* [Johanna Salmi - Bitcomp Oy](https://www.linkedin.com/in/johannasalmi/)  - [Materiaali](https://www.dropbox.com/s/0nmzhtc8zhudf8l/hajautetun%20organisaation%20haasteet.pdf?dl=1) ["Hajautetun organisaation haasteet" -Panopto-tallenne kohta 0-60 min](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=69690cb4-5b0b-46d6-8e28-ac4500c63f93) 
* [Tarja Ajo - Soulcore Oy](https://www.linkedin.com/in/tarja-ajo-20b01b187/) - [Materiaali](https://www.dropbox.com/s/ha2ckifh5qg9h82/Ohjelmistotestaaja.pdf?dl=1) ["Nimikeenä ohjelmistotestaaja" - Panopto-tallenne kohta 60-120 min](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=69690cb4-5b0b-46d6-8e28-ac4500c63f93)
* [Jukka Laukkanen - Scandit Oy](https://www.linkedin.com/in/jukkalaukkanen/) - ["Cherry Pick-ansa" - Panopto](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=bbb1b3f8-4083-40e4-9414-ac4c00bbbdee) 
* [Joonas Palomäki - Meliora Ltd](https://www.linkedin.com/in/joonas-palomaki-12a0b23/) - [Esittelyssä Meliora Testlab - Panopto](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=c0ab9a06-f78d-43db-bc4b-ac5b005e1067)
* [Antti Kervinen - Intel Oy](https://www.linkedin.com/in/antti-kervinen-2467873/) - [Mallipohjainen testaus - Panopto](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=2f95f368-34c8-4526-97d2-ac6100d84a2a)
* [Minttu Mäkäläinen - Combitech Oy](https://www.linkedin.com/in/minttu-makalainen/) - [Scrum Masterista on moneksi - Panopto](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=127ad716-24fa-442d-94da-ac6100d87ed5)
* [Esa Launis - FINNOPT Oy](https://www.linkedin.com/in/esa-launis-b78824/) - ["On hyvä tietää ohjelmistoalasta" - Panopto](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=f7d8565c-1299-48ad-83d6-ac6800f32f2c)
* [Anna Karppanen - Trimble Oy](https://www.linkedin.com/in/anna-karppanen-21199421/) - [Ohjelmistokehittäjän arki](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=7609f51c-22f8-4d31-8bc2-ac6800f2f0db)
* [Harri Laukkanen - Devecto Oy](https://www.linkedin.com/in/harri-laukkanen-28b39667/) - [Järjestelmätestauksen haasteista](https://panopto.jamk.fi/Panopto/Pages/Viewer.aspx?id=30be8c96-5c32-46c2-8b62-ac6f00e407a7)




